Bug 625525 - RFE: ability to suppress output of full configuration when listing nodes: 'ccp -l -n <node>'
RFE: ability to suppress output of full configuration when listing nodes: 'cc...
Status: CLOSED ERRATA
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: wallaby-utils (Show other bugs)
1.3
All All
low Severity low
: 1.3.2
: ---
Assigned To: Robert Rati
Lubos Trilety
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-19 13:45 EDT by Erik Erlandson
Modified: 2011-02-15 07:16 EST (History)
2 users (show)

See Also:
Fixed In Version: condor-wallaby-tools-3.9-1
Doc Type: Enhancement
Doc Text:
Listing a node information with condor_configure_pool displayed all the configuration parameters and their values. The node configuration parameters could have caused other relevant information about the node to scroll off the screen. With this update, when a node is listed with condor_configure_pool, the configuration parameters are no longer listed. To show the parameter information when listing a node, use the added verbose (-v|--verbose) option with the comment invocation.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-02-15 07:16:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2011:0217 normal SHIPPED_LIVE Red Hat Enterprise MRG Messaging and Grid bug fix and enhancement update 2011-02-15 07:10:15 EST

  None (edit)
Description Erik Erlandson 2010-08-19 13:45:35 EDT
Presently, when user does this:

% condor_configure_pool -l -n <node>

The output is:

Groups:
...
Features:
...
Configuration:
... very long config output ...

And the use has to scroll back quite a ways to see Groups or Features.


Some possible solutions:

1) just output configuration first, so short stuff is easily visible after

2) make full config output a "verbose" option on listing

3) support a "format" spec on command line, regarding which sections of output (group,feature,config) the user wants to see listed.

4) any combination of 1,2,3

See also: https://bugzilla.redhat.com/show_bug.cgi?id=625522
Comment 1 Robert Rati 2010-10-18 17:05:56 EDT
Listing a node will no longer list the node's configuration.  To retrieve the node's configuration, use -v|--verbose when listing nodes.

Changes on master.
Comment 2 Robert Rati 2010-10-19 16:04:14 EDT
Fixed in:
condor-wallaby-tools-3.7-1
Comment 3 Robert Rati 2010-11-29 14:19:51 EST
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
C: Listing a node's information with condor_configure_pool includes all the configuration parameters and their values.
C: The node's configuration parameters could cause other relevant information about the node to scroll off the screen.
C: A verbose option was added to condor_configure_pool to show the parameter information when listing a node.
R: When a node is listed with condor_configure_pool, the configuration parameters will no longer be listed by default.  To see the configuration parameters, add the verbose (-v|--verbose) option to the comment invocation.
Comment 6 Lubos Trilety 2011-01-18 10:00:23 EST
New option -v|--verbose is missing in interactive help of condor_configure_pool/store.

Tested on version:
condor-wallaby-tools-3.8-8
Comment 7 Robert Rati 2011-01-18 16:42:12 EST
-v|--verbose has been added to the help messages.  Fixed on master.
Comment 8 Lubos Trilety 2011-01-24 08:46:14 EST
Tested with (version):
condor-wallaby-tools-3.9-2
wallaby-0.10.0-2

Tested on:
RHEL5 i386,x86_64  - passed

>>> VERIFIED
Comment 9 Eva Kopalova 2011-02-09 11:29:20 EST
    Technical note updated. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    Diffed Contents:
@@ -1,4 +1 @@
-C: Listing a node's information with condor_configure_pool includes all the configuration parameters and their values.
+Listing a node information with condor_configure_pool displayed all the configuration parameters and their values. The node configuration parameters could have caused other relevant information about the node to scroll off the screen. With this update, when a node is listed with condor_configure_pool, the configuration parameters are no longer listed. To show the parameter information when listing a node, use the added verbose (-v|--verbose) option with the comment invocation.-C: The node's configuration parameters could cause other relevant information about the node to scroll off the screen.
-C: A verbose option was added to condor_configure_pool to show the parameter information when listing a node.
-R: When a node is listed with condor_configure_pool, the configuration parameters will no longer be listed by default.  To see the configuration parameters, add the verbose (-v|--verbose) option to the comment invocation.
Comment 10 errata-xmlrpc 2011-02-15 07:16:51 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-0217.html

Note You need to log in before you can comment on or make changes to this bug.